package com.bureau.base

sealed class BureauResult<SUCCESS, FAILURE> {
    data class Success<SUCCESS, FAILURE>(val data: SUCCESS) : BureauResult<SUCCESS, FAILURE>()
    data class Failure<SUCCESS, FAILURE>(val error: FAILURE) : BureauResult<SUCCESS, FAILURE>()
}
